{
  "name": "study-online-platform",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc && vite build",
    "type-check": "vue-tsc --noEmit",
    "preview": "vite preview"
  },
  "dependencies": {
    "@vicons/ionicons5": "^0.13.0",
    "naive-ui": "^2.42.0",
    "pinia": "^3.0.3",
    "vue": "^3.5.17",
    "vue-i18n": "^9.14.5",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@types/node": "^24.0.15",
    "@vitejs/plugin-vue": "^6.0.0",
    "typescript": "^5.8.3",
    "vite": "^7.0.0",
    "vite-plugin-vue-devtools": "^7.7.7",
    "vue-tsc": "^3.0.3"
  }
}
